--- demo_text_path2.py~	2009-11-03 17:57:28.000000000 +0000
+++ demo_text_path2.py	2009-11-03 18:14:20.000000000 +0000
@@ -1,6 +1,6 @@
 
 # -*- coding: utf-8 -*-
-
+import sys
 import matplotlib.pyplot as plt
 from matplotlib.image import BboxImage
 import numpy as np
@@ -14,13 +14,17 @@
 from matplotlib.cbook import get_sample_data
 
 from matplotlib.text import TextPath
+from matplotlib.text import Text
+from matplotlib.font_manager import FontProperties
 import matplotlib.textpath as textpath
 
 
 import matplotlib.dviread as dviread
 from matplotlib.path import Path
+
 from matplotlib.ft2font import FT2Font, KERNING_DEFAULT, LOAD_NO_HINTING, LOAD_TARGET_LIGHT
 
+
 class TextToPath(textpath.TextToPath):
 
 
@@ -145,7 +149,7 @@
     offsetbox.add_artist(text_patch)
 
     # place the anchored offset box using AnnotationBbox
-    ab = AnnotationBbox(offsetbox, (0.5, 0.5),
+    ab = AnnotationBbox(offsetbox, (0.65, 0.65),
                         xycoords='data',
                         boxcoords="offset points",
                         box_alignment=(0.5,0.5),
@@ -154,9 +158,12 @@
 
     ax.add_artist(ab)
 
+    tt = Text(x=0.1, y=0.1, text=s, fontproperties=FontProperties(size=40))
+    ax.add_artist(tt)
     ax.set_xlim(0, 1)
     ax.set_ylim(0, 1)
 
 
     plt.draw()
+    plt.savefig(sys.argv[0] + '.pdf', format='pdf')
     plt.show()
